Subject: Re: bug#12779: 24.2.50; Gamegrid signals an error when score is too low
From: Chong Yidong <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Nov 2012 15:01:41 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Stephen Berman <[email-masked]> writes:

> The reason is that gamegrid-add-score-with-update-game-score-1 searches
> the score file for the last score, to put point on it, but doesn't set
> the NOERROR argument of search-forward (the update-game-score program,
> which updates the score file, chops off a score that is lower than the
> 200th top score, to keep the list to 200 entries, so the search fails).
> The minimal fix, in the first patch below, is simply to suppress the
> error message.

Committed to trunk, thanks.  (I think the second patch is not necessary,
since such messages are not customary).